package main

import "fmt"

func main() {
	/*
		var a [3]int
		var b [3]int = [3]int{1, 2, 3}
		c := [3]int{1, 2, 3}
		d := [...]int{1, 2, 3}
		e := [3]int{1: 12}
		fmt.Println(a)
		fmt.Println(b)
		fmt.Println(c)
		fmt.Println(d)
		fmt.Println(e)
	*/
	// enumeration()
	change_array()
}

func enumeration() {
	a := [5]int{5, 10, 15, 20, 25}

	for idx := range a {
		fmt.Println(a[idx])
	}

	for _, elem := range a {
		fmt.Println(elem)
	}
}

func change_array() {
	var workArray [10]uint8
	var index [6]uint8

	for i := 0; i < 10; i++ {
		fmt.Scan(&workArray[i])
	}

	for i := 0; i < 6; i++ {
		fmt.Scan(&index[i])
	}

	workArray[index[0]], workArray[index[1]] = workArray[index[1]], workArray[index[0]]
	workArray[index[2]], workArray[index[3]] = workArray[index[3]], workArray[index[2]]
	workArray[index[4]], workArray[index[5]] = workArray[index[5]], workArray[index[4]]

	for i := 0; i < 10; i++ {
		fmt.Print(workArray[i], " ")
	}
}
